//*****************************************************************************
//                                ConvertType.hpp                             *
//                               -----------------                            *
//                                                                            *
//  Description : This class is intended to provide useful functionality for  *
//                converting basic types one to another eg. wxString to float.*
//  Started     : 21/09/2004                                                  *
//  Last Update : 29/04/2005                                                  *
//  Copyright   : (C) 2004 by MSWaters                                        *
//  Email       : M.Waters@bom.gov.au                                         *
//*****************************************************************************

//*****************************************************************************
//                                                                            *
//    This program is free software; you can redistribute it and/or modify    *
//    it under the terms of the GNU General Public License as published by    *
//    the Free Software Foundation; either version 2 of the License, or       *
//    (at your option) any later version.                                     *
//                                                                            *
//*****************************************************************************

#ifndef CONVERTTYPE_HPP
#define CONVERTTYPE_HPP

// System Includes

#include <iostream>
#include <cmath>
#include <cfloat>

// wxWindows Includes

#include <wx/wx.h>

// Application Includes


// Local Constant Declarations


//*****************************************************************************

class ConvertType
{
  private:


  public:

    ConvertType( void );
    ~ConvertType( );

    static  bool  bParseFlt   ( double dfNum, float * fMan, int * iExp );
    static  bool  bStrToFlt   ( const wxString & rosNum, double * pdfNum );
    static  bool  bStrToInt   ( const wxString & rosNum, long * pliNum );
    static  bool  bFltToStr   ( double dfNum, wxString & rosNum );
    static  bool  bFltToStrEng( double dfNum, wxString & rosNum );
};

//*****************************************************************************

#endif // CONVERTTYPE_HPP
